Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neuroph.util
Enum SummingFunctionType

    java.lang.Object
      java.lang.Enum<SummingFunctionType>
          org.neuroph.util.SummingFunctionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SummingFunctionType>

    public enum SummingFunctionType

extends java.lang.Enum<SummingFunctionType>

Contains summing functions types and labels.

Enum Constant Summary
`AND`
`INTENSITY`
`MAX`
`MIN`
`OR`
`PRODUCT`
`SUM`
`SUMSQR`

Method Summary
`java.lang.Class` | `getTypeClass()`
`java.lang.String` | `getTypeLabel()`
`static SummingFunctionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SummingFunctionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUM

    public static final SummingFunctionType SUM

### INTENSITY

    public static final SummingFunctionType INTENSITY

### AND

    public static final SummingFunctionType AND

### OR

    public static final SummingFunctionType OR

### SUMSQR

    public static final SummingFunctionType SUMSQR

### MIN

    public static final SummingFunctionType MIN

### MAX

    public static final SummingFunctionType MAX

### PRODUCT

    public static final SummingFunctionType PRODUCT

Method Detail

### values

    public static SummingFunctionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SummingFunctionType c : SummingFunctionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SummingFunctionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTypeLabel

    public java.lang.String getTypeLabel()

### getTypeClass

    public java.lang.Class getTypeClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD